// ==UserScript==
// @name         Bib Stinky
// @namespace    http://bibstinky.sowemustthink.space/
// @version      0.1
// @description  Helps identify when metadata stored by a publication provider or agregator might be a bit 'off'
// @author       David Bainbridge
// @author       Dave Nichols
// @author       Mike Twidale
// @require   https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js
// @match        https://www.cs.waikato.ac.nz/*
// @match        https://search.crossref.org/*
// @grant       GM_xmlhttpRequest
// @connect     localhost
// @connect     bibstinky.sowemustthink.space
// ==/UserScript==

//alert("foo");

(function() {
  'use strict';

  var $ = window.jQuery;

  var elmWrapperDiv = document.createElement('div');
  elmWrapperDiv.id = "doiStinkyBar";

  $(document).ready(function() {
    console.log("Adding in <div> to display DOI Stinky bar at top:");
    elmWrapperDiv.style.width = '100%';
    //elmWrapperDiv.style.textAlign = 'center';
    elmWrapperDiv.style.fontFamily = 'sans-serif';
    elmWrapperDiv.style.backgroundColor = 'wheat';

    elmWrapperDiv.style.zIndex = '25';
    elmWrapperDiv.style.position = 'fixed';

    document.body.insertBefore(elmWrapperDiv, document.body.firstChild);

    GM_xmlhttpRequest ( {
      method:     'GET',
      url:        'https://bibstinky.sowemustthink.space/doi-stinky-bar.html',
      onload:     function (responseDetails) {
                    console.log (
                        "GM_xmlhttpRequest() response is:\n",
                        responseDetails.responseText.substring (0, 80) + '...'
                    );

                    var returned_html_str = responseDetails.responseText;
                    var body_str = returned_html_str.substring(returned_html_str.indexOf("<body>")+6,returned_html_str.indexOf("</body>"))
                    console.log("returned body = " + body_str.substring (0) + '...');

                    var body = $.parseHTML(body_str);
                    $("#doiStinkyBar").append(body);
                }
    } );
});

})();
